OpenSubdiv: PatchTableFactory::PatchFaceTag Struct Reference

| OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PatchTableFactory::PatchFaceTag Struct Reference

Obsolete internal struct not intended for public use – due to be deprecated. More...

`#include <patchTableFactory.h>`

## Public Member Functions
void | clear ()
void | assignBoundaryPropertiesFromEdgeMask (int boundaryEdgeMask)
void | assignBoundaryPropertiesFromVertexMask (int boundaryVertexMask)
void | assignTransitionPropertiesFromEdgeMask (int boundaryVertexMask)

## Public Attributes
unsigned int | _hasPatch: 1
unsigned int | _isRegular: 1
unsigned int | _transitionMask: 4
unsigned int | _boundaryMask: 4
unsigned int | _boundaryIndex: 2
unsigned int | _boundaryCount: 3
unsigned int | _hasBoundaryEdge: 3
unsigned int | _isSingleCrease: 1

## Detailed Description

Obsolete internal struct not intended for public use – due to be deprecated.

Definition at line 192 of file patchTableFactory.h.

## Member Function Documentation

## ◆ assignBoundaryPropertiesFromEdgeMask()

void assignBoundaryPropertiesFromEdgeMask | ( | int | boundaryEdgeMask | ) |

## ◆ assignBoundaryPropertiesFromVertexMask()

void assignBoundaryPropertiesFromVertexMask | ( | int | boundaryVertexMask | ) |

## ◆ assignTransitionPropertiesFromEdgeMask()

void assignTransitionPropertiesFromEdgeMask | ( | int | boundaryVertexMask | ) |

## ◆ clear()

void clear | ( |  | ) |

## Member Data Documentation

## ◆ _boundaryCount

unsigned int _boundaryCount

Definition at line 199 of file patchTableFactory.h.

## ◆ _boundaryIndex

unsigned int _boundaryIndex

Definition at line 198 of file patchTableFactory.h.

## ◆ _boundaryMask

unsigned int _boundaryMask

Definition at line 197 of file patchTableFactory.h.

## ◆ _hasBoundaryEdge

unsigned int _hasBoundaryEdge

Definition at line 200 of file patchTableFactory.h.

## ◆ _hasPatch

unsigned int _hasPatch

Definition at line 194 of file patchTableFactory.h.

## ◆ _isRegular

unsigned int _isRegular

Definition at line 195 of file patchTableFactory.h.

## ◆ _isSingleCrease

unsigned int _isSingleCrease

Definition at line 201 of file patchTableFactory.h.

## ◆ _transitionMask

unsigned int _transitionMask

Definition at line 196 of file patchTableFactory.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/patchTableFactory.h